# Module `beautiful`

Theme library.

### Info:

- Copyright: 2008-2009 Damien Leone, Julien Danjou
- Author: Damien Leone <damien.leone@gmail.com>,Julien Danjou <julien@danjou.info>

## Functions

get_font (name) | Get a font description.
get_merged_font (name, merge) | Get a new font with merged attributes, based on another one.
get_font_height (name) | Get the height of a font.
init (config) | Init function, should be runned at the beginning of configuration file.
get () | Get the current theme.

## Theme variables

font | The default font.
useless_gap | The gap between clients.
border_width | The client border width.
border_normal | The default clients border width.
border_focus | The focused client border width.
border_marked | The marked clients border width.
wallpaper | The wallpaper path.
awesome_icon | The Awesome icon path.

## Functions

Methods

get_font (name)
  Get a font description.

  See https://developer.gnome.org/pango/stable/pango-Fonts.html#PangoFontDescription.

  - name string or lgi.Pango.FontDescription The name of the font.

  ### Returns:

  lgi.Pango.FontDescription
get_merged_font (name, merge)
  Get a new font with merged attributes, based on another one.

  See https://developer.gnome.org/pango/stable/pango-Fonts.html#pango-font-description-from-string.

  - name string or Pango.FontDescription The base font.
  - merge string Attributes that should be merged, e.g. "bold".

  ### Returns:

  lgi.Pango.FontDescription
get_font_height (name)
  Get the height of a font.
  - name Name of the font
init (config)
  Init function, should be runned at the beginning of configuration file.
  - config string or table The theme to load. It can be either the path to the theme file (returning a table) or directly the table containing all the theme values.
get ()
  Get the current theme.

  ### Returns:

  table The current theme table.

## Theme variables

font
  The default font.
useless_gap
  The gap between clients.

  ### Type:

  - number (default 0)
border_width
  The client border width.
border_normal
  The default clients border width. Note that only solid colors are supported.
border_focus
  The focused client border width. Note that only solid colors are supported.
border_marked
  The marked clients border width. Note that only solid colors are supported.
wallpaper
  The wallpaper path.
awesome_icon
  The Awesome icon path.

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18